Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Crypto bridge rate quote generated successfully.",
"data": {
"rate_id": "RATE-CB-1732454321-XYZ123",
"source_amount": 1000,
"source_currency": "KES",
"crypto_amount": 150000000,
"crypto_unit": "msat",
"chain": "LIGHTNING",
"token": "MSAT",
"exchange_rate": {
"fiat_to_btc": "0.00000015",
"btc_to_msat": 100000000,
"exchange_rate_source": "COINBASE"
},
"fees": {
"fiat_fee": 15,
"fiat_fee_currency": "KES",
"crypto_fee": 1000,
"crypto_fee_unit": "sats",
"fee_percentage": 1.5
},
"total_cost": 1015,
"net_crypto_amount": 149000000,
"expires_at": "2024-11-24T12:01:00Z",
"created_at": "2024-11-24T12:00:00Z"
}
}{
"success": false,
"message": "Invalid request parameters",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Exchange Rates
Get Crypto Bridge Rate
Get a rate quote for crypto bridge transactions (fiat to crypto conversion). This endpoint generates a rate_id that must be used in the crypto bridge deposit request. Rate is valid for 60 seconds and can only be used once. Currently supports: KES -> Lightning (MSAT)
POST
/
api
/
v3
/
rate
/
crypto-bridge
Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Crypto bridge rate quote generated successfully.",
"data": {
"rate_id": "RATE-CB-1732454321-XYZ123",
"source_amount": 1000,
"source_currency": "KES",
"crypto_amount": 150000000,
"crypto_unit": "msat",
"chain": "LIGHTNING",
"token": "MSAT",
"exchange_rate": {
"fiat_to_btc": "0.00000015",
"btc_to_msat": 100000000,
"exchange_rate_source": "COINBASE"
},
"fees": {
"fiat_fee": 15,
"fiat_fee_currency": "KES",
"crypto_fee": 1000,
"crypto_fee_unit": "sats",
"fee_percentage": 1.5
},
"total_cost": 1015,
"net_crypto_amount": 149000000,
"expires_at": "2024-11-24T12:01:00Z",
"created_at": "2024-11-24T12:00:00Z"
}
}{
"success": false,
"message": "Invalid request parameters",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Get an exchange rate quote for a crypto bridge transaction before initiating the deposit. Use this to display the estimated source fiat amount, crypto amount, and destination fiat amount to the customer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Source fiat currency
Example:
"KES"
Source fiat amount customer will pay
Example:
1000
Blockchain/network to use
Available options:
CELO, ETHEREUM, ARBITRUM, AVALANCHE, BINANCE, POLYGON, OPTIMISM, FUSE, TRON, PROVENANCE, SOLANA, HEDERA, STELLAR, BASE, LISK, VICTION, SCROLL, LIGHTNING, CARDANO, ICP Example:
"LIGHTNING"
Crypto token to use
Available options:
CUSD, USDC, USDT, BUSD, HASH, HBAR, USDGLO, CKES, CGHS, MSAT, ADA, CKUSDT Example:
"MSAT"
Requested crypto amount (optional - for validation)
Example:
150000000